
TYPO3.Flow - Bug # 47500

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category:
Created: 2013-04-23 Assigned To: Christopher Hlubek
Updated: 2013-04-26 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: createRole: Role is not passed as object to repository
Description

This causes an error when adding roles through the PolicyService createRole method:

Fatal error: Call to a member function getIdentifier() on a non-object in .../TYPO3_Flow_Security_Policy_RoleRepository.php

Associated revisions
Revision c1774f1b - 2013-04-23 17:01 - Christopher Hlubek

[BUGFIX] Fix PolicyService->createRole to use the Role object

Change-Id: I8d117db7c8b9c52313319478986817900ad87fb0
Fixes: #47500
Releases: master, 2.0

Revision 2399c8ab - 2013-04-26 11:30 - Christopher Hlubek

[BUGFIX] Fix PolicyService->createRole to use the Role object

Change-Id: I8d117db7c8b9c52313319478986817900ad87fb0
Fixes: #47500
Releases: master, 2.0

History
#1 - 2013-04-23 17:01 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20109

#2 - 2013-04-23 17:03 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20110

2015-08-04 1/2

https://review.typo3.org/20109
https://review.typo3.org/20110


#3 - 2013-04-23 21:46 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c1774f1b389c42a928b61ef11f9d1ad934402a52.

#4 - 2013-04-26 11:30 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20110

#5 - 2013-04-26 11:37 - Christopher Hlubek
- Status changed from Under Review to Resolved

Applied in changeset commit:2399c8ab33f0f9c08799ba7df87d0ce4c18630a1.
